View Issue Details

IDProjectCategoryView StatusLast Update
0000885NoesisGUIUnity3Dpublic2019-08-23 13:14
Reporterroland.tomczakAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.6f2 
Target VersionFixed in Version2.2.4 
Summary0000885: Wrong GetTouchPosition (Parent) result in GotTouchCapture callback
DescriptionI've defined a custom draggable control.

I've various handlers on touch events :

- In TouchDown event handler, I capture the touch device
- In GotTouchCapture event handler, I start the dragging process. I store the initial position ( e.GetTouchPoint ( this.Parent ) ).

=> e.GetTouchPoint ( this.Parent ) returns a wrong value.
I don't have the issue when calling GetTouchPoint in the TouchDown event handler.
Steps To Reproduce        private void OnTouchDown(object sender, TouchEventArgs e)
        {
            if (m_nCapturedTouchDevice == -1)
            {
                // THIS RETURNS THE RIGHT POSITION :
                m_ptTouchDownPosition = e.GetTouchPoint(this.Parent);
                // Capture the touch
                this.CaptureTouch( (uint) e.TouchDevice);
            }
        }

        private void OnGotTouchCapture(object sender, TouchEventArgs e)
        {
            // Handle a pointer capture
            
            // THIS RETURNS A WRONG POSITION :
            var ptWrongPosition = e.GetTouchPoint(this.Parent);

            OnPointerCaptured(m_ptTouchDownPosition);
            // Set the captured touch device
            m_nCapturedTouchDevice = e.TouchDevice;
        }
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-05-04 22:26 roland.tomczak New Issue
2016-05-06 19:09 jsantos Assigned To => jsantos
2016-05-06 19:09 jsantos Status new => assigned
2019-08-16 22:03 jsantos Status assigned => resolved
2019-08-16 22:03 jsantos Resolution open => fixed
2019-08-16 22:03 jsantos Fixed in Version => 2.2.4
2019-08-23 13:14 jsantos View Status private => public
2019-08-23 13:14 jsantos Platform => Any